Groovy Documentation

## groovy.model
[Java] Class DefaultTableModel.MyTableColumnModel

    java.lang.Object
      javax.swing.table.DefaultTableColumnModel
          groovy.model.DefaultTableModel.MyTableColumnModel

    protected static class DefaultTableModel.MyTableColumnModel
    extends javax.swing.table.DefaultTableColumnModel

Method Summary
`java.util.List` | `getColumnList()`
`void` | `moveColumn(int columnIndex, int newIndex)`
`void` | `removeColumn(javax.swing.table.TableColumn column)`
`void` | `renumberTableColumns()`

Methods inherited from class javax.swing.table.DefaultTableColumnModel

javax.swing.table.DefaultTableColumnModel#getColumnCount(), javax.swing.table.DefaultTableColumnModel#getSelectionModel(), javax.swing.table.DefaultTableColumnModel#setSelectionModel(javax.swing.ListSelectionModel), javax.swing.table.DefaultTableColumnModel#setColumnMargin(int), javax.swing.table.DefaultTableColumnModel#moveColumn(int, int), javax.swing.table.DefaultTableColumnModel#removeColumn(javax.swing.table.TableColumn), javax.swing.table.DefaultTableColumnModel#getColumn(int), javax.swing.table.DefaultTableColumnModel#addColumn(javax.swing.table.TableColumn), javax.swing.table.DefaultTableColumnModel#getColumns(), javax.swing.table.DefaultTableColumnModel#getColumnIndex(java.lang.Object), javax.swing.table.DefaultTableColumnModel#getColumnMargin(), javax.swing.table.DefaultTableColumnModel#getColumnIndexAtX(int), javax.swing.table.DefaultTableColumnModel#getTotalColumnWidth(), javax.swing.table.DefaultTableColumnModel#setColumnSelectionAllowed(boolean), javax.swing.table.DefaultTableColumnModel#getColumnSelectionAllowed(), javax.swing.table.DefaultTableColumnModel#getSelectedColumns(), javax.swing.table.DefaultTableColumnModel#getSelectedColumnCount(), javax.swing.table.DefaultTableColumnModel#addColumnModelListener(javax.swing.event.TableColumnModelListener), javax.swing.table.DefaultTableColumnModel#removeColumnModelListener(javax.swing.event.TableColumnModelListener), javax.swing.table.DefaultTableColumnModel#valueChanged(javax.swing.event.ListSelectionEvent), javax.swing.table.DefaultTableColumnModel#getColumnModelListeners(), javax.swing.table.DefaultTableColumnModel#getListeners(java.lang.Class), javax.swing.table.DefaultTableColumnModel#propertyChange(java.beans.PropertyChangeEvent), javax.swing.table.DefaultTableColumnModel#wait(long), javax.swing.table.DefaultTableColumnModel#wait(long, int), javax.swing.table.DefaultTableColumnModel#wait(), javax.swing.table.DefaultTableColumnModel#equals(java.lang.Object), javax.swing.table.DefaultTableColumnModel#toString(), javax.swing.table.DefaultTableColumnModel#hashCode(), javax.swing.table.DefaultTableColumnModel#getClass(), javax.swing.table.DefaultTableColumnModel#notify(), javax.swing.table.DefaultTableColumnModel#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getColumnList

    public java.util.List getColumnList()

### moveColumn

    public void moveColumn(int columnIndex, int newIndex)

### removeColumn

    public void removeColumn(javax.swing.table.TableColumn column)

### renumberTableColumns

    public void renumberTableColumns()

Groovy Documentation